<?xml version='1.0' encoding='windows-1252' ?>
<!DOCTYPE ViewObject SYSTEM "jbo_03_01.dtd">

<ViewObject
   Name="Globals"
   BindingStyle="OracleName"
   CustomQuery="true"
   RowClass="oracle.srdemo.model.queries.GlobalsRowImpl"
   ComponentClass="oracle.srdemo.model.frameworkExt.SRViewObjectImpl"
   MsgBundleClass="oracle.srdemo.model.queries.common.GlobalsRowImplMsgBundle"
   FetchMode="FETCH_AS_NEEDED"
   MaxFetchSize="0"
   Passivate="All"
   UseGlueCode="false" >
   <DesignTime>
      <Attr Name="_isCodegen" Value="true" />
      <Attr Name="_version" Value="10.1.3.36.73" />
      <Attr Name="_objectSuperClassName" Value="oracle.srdemo.model.frameworkExt.SRViewObjectImpl" />
      <Attr Name="_codeGenFlag2" Value="Access|Msg|VarAccess" />
   </DesignTime>
   <ViewAttribute
      Name="ProductId"
      IsPersistent="false"
      Type="oracle.jbo.domain.Number"
      ColumnType="NUMBER"
      AliasName="VIEW_ATTR"
      SQLType="NUMERIC" >
   </ViewAttribute>
   <ViewAttribute
      Name="ProductName"
      IsSelected="false"
      IsPersistent="false"
      Precision="255"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      AliasName="VIEW_ATTR"
      SQLType="VARCHAR" >
   </ViewAttribute>
   <ViewAttribute
      Name="ProblemDescription"
      IsSelected="false"
      IsPersistent="false"
      Type="java.lang.String"
      ColumnType="VARCHAR2"
      AliasName="VIEW_ATTR"
      SQLType="VARCHAR" >
   </ViewAttribute>
   <AttrArray Name="KeyAttributes">
      <Item Value="ProductId" />
   </AttrArray>
</ViewObject>
